> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> List users in the current tenant.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/users
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/users:
    get:
      tags:
        - Users
      summary: List users
      description: List users in the current tenant.
      operationId: User.getAllUsersOfTenant
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 1000
            nullable: true
            default: 100
            example: 10
            type: integer
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            minimum: 0
            nullable: true
            default: 0
            example: 0
            type: integer
        - name: query
          required: false
          in: query
          description: Filter users by email substring match.
          schema:
            nullable: true
            example: john@example.com
            type: string
        - name: showInvalidUsers
          required: false
          in: query
          description: When true, includes deactivated users in the response.
          schema:
            nullable: true
            default: false
            type: boolean
      responses:
        '200':
          description: Paginated list of users the caller has access to.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUsersResponse'
      security:
        - jwt: []
components:
  schemas:
    ListUsersResponse:
      type: object
      properties:
        data:
          description: Array of users matching the query.
          type: array
          items:
            $ref: '#/components/schemas/User'
        pagination:
          description: Pagination metadata.
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
      title: ListUsersResponse
      x-fern-type-name: ListUsersResponse
    User:
      type: object
      properties:
        id:
          type: string
          description: System-generated user ID.
          example: jqfwg345gi25n5ju2yz5iz6m
        email:
          type: string
        tenantName:
          type: string
        metadata:
          $ref: '#/components/schemas/UserMetadata'
        roles:
          nullable: true
          type: array
          items:
            type: string
        rolesWithResource:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RoleWithResource'
        accounts:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/AccountInfo'
        active:
          type: boolean
        isEditable:
          type: boolean
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        lastAccessedAt:
          format: date-time
          type: string
          nullable: true
          description: Timestamp when the user last accessed the platform.
      required:
        - id
        - email
        - tenantName
        - metadata
        - active
        - isEditable
        - createdAt
        - updatedAt
      title: User
      x-fern-type-name: User
    Pagination:
      type: object
      properties:
        total:
          type: integer
          description: Total number of items
          example: 100
        offset:
          type: integer
          description: Number of items skipped
          example: 0
          nullable: true
        limit:
          type: integer
          description: Number of items per page
          example: 10
          nullable: true
      required:
        - total
      title: Pagination
      x-fern-type-name: Pagination
    UserMetadata:
      type: object
      properties:
        sub:
          type: string
          nullable: true
        imageURL:
          type: string
          nullable: true
        pictureDownloadPath:
          type: string
          nullable: true
        displayName:
          type: string
          nullable: true
        userObject:
          type: object
          additionalProperties: true
          nullable: true
        inviteAccepted:
          type: boolean
          nullable: true
        registeredInIdp:
          type: boolean
          nullable: true
        preference:
          type: object
          additionalProperties: true
          nullable: true
        groups:
          nullable: true
          type: array
          items:
            type: string
        tenantRoleManagedBy:
          type: string
          enum:
            - manual
            - group
            - initial
          nullable: true
        ssoName:
          type: string
          nullable: true
        scimUserObject:
          type: object
          additionalProperties: true
          nullable: true
        createdByScim:
          type: boolean
          nullable: true
      title: UserMetadata
      x-fern-type-name: UserMetadata
    RoleWithResource:
      type: object
      properties:
        roleId:
          type: string
        resourceType:
          type: string
          enum:
            - role
            - account
            - cluster
            - workspace
            - environment
            - secret-group
            - deployment
            - application
            - secret
            - docker-registry
            - tenant
            - vcs-integration
            - mlf-project
            - repository
            - provider-integration
            - team
            - service-account
            - llm-gateway
            - policy
            - role-binding
            - settings
            - provider-account
            - user
            - alert-config
            - alert-rule
            - gateway-config
            - gateway-controls
            - gateway-budget
            - tracing-project
            - tracing-application
            - agent
            - agent-app
            - gateway-installation
            - virtual-account
            - sso-based-identity
            - external-identity
            - mcp-server
            - external-identity-provider
            - agent-identity
        resourceId:
          type: string
        roleName:
          type: string
      required:
        - roleId
        - resourceType
        - resourceId
        - roleName
      title: RoleWithResource
      x-fern-type-name: RoleWithResource
    AccountInfo:
      type: object
      properties:
        accountId:
          type: string
        name:
          type: string
      required:
        - accountId
        - name
      title: AccountInfo
      x-fern-type-name: AccountInfo
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````